import request from '@/utils/request'

export function getCoatPage(data) {
  return request({
    url: '/base-coat-color/page',
    method: 'get',
    params: data
  })
}

export function getCoatList(data) {
  return request({
    url: '/base-coat-color/list',
    method: 'post',
    data: data
  })
}

export function getCoatById(data) {
  return request({
    url: '/base-coat-color/listById',
    method: 'post',
    data: data
  })
}

export function addCoat(data) {
  return request({
    url: '/base-coat-color/add',
    method: 'post',
    data: data
  })
}

export function editCoat(data) {
  return request({
    url: '/base-coat-color/edit',
    method: 'post',
    data: data
  })
}

export function delCoat(data) {
  return request({
    url: '/base-coat-color/delete',
    method: 'post',
    data: data
  })
}
